Task # 4 (Closed): WaveFormPicker Verification

MINI-LFR - WFP 0.0.A - Validation
23/01/2014 01:44 PM - Jean-Christophe Pellion

Status: Closed Start date: 23/01/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision:

Description

History

#1 - 23/01/2014 01:48 PM - Jean-Christophe Pellion
- Tracker changed from Bug to Task

- Assignee set to paul leroy

"MINI_LFR_WFP-0-0-A.pdb":https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/125/MINI_LFR_WFP-0-0-A.pdb
r290

#2 - 23/01/2014 01:49 PM - Jean-Christophe Pellion

- Parent task set to #4

#3 - 24/01/2014 09:07 AM - paul leroy

- File Screenshot from 2014-01-24 09_00_12.png added
- File Screenshot from 2014-01-24 08_57_25.png added
- File Screenshot from 2014-01-24 08_55_29.png added
- File Screenshot from 2014-01-24 08_55_07.png added
- File Screenshot from 2014-01-24 08_54_43.png added
- File Screenshot from 2014-01-24 08_54_16.png added
- File Screenshot from 2014-01-24 08_41_56.png added
- File Screenshot from 2014-01-24 08_39_37.png added
- File Screenshot from 2014-01-24 08_37_41.png added
- File Screenshot from 2014-01-24 08_36_57.png added

1) mise sous tension, reset, chargement du soft rev 90

Screenshot from 2014-01-24 07:38:49

passage en mode SBM1. Les formes d'onde SBM1 sont conformes. Les buffers contiennent le temps.

A éclaircir: il semble que les octets du coarse time et du fine time ne soient pas dans le bon ordre, on attendrait plutét un MSB = 0x80 pour le coarse
time, et pour le fine time les deux MSB = 0x00

Les snapshots sont conformes pour les données f1 mais pas pour les données f0 et f2
=> f0: forme d'onde V inattendue, semble osciller entre deux valeurs de bruit
Screenshot from 2014-01-24 07:46:16

=> f2: derniére valeur des buffers e1 et b1 différent du niveau de bruit

Screenshot from 2014-01-24 07:46:30

2) passage en mode SBM2 sans reset

les formes d'ondes b2 et b3 se retrouvent en v et e1 => Screenshot from 2014-01-24 08:37:41
parfois, le premier octet en v n'est pas correct

mes formes d'onde SWF_F1 se sont déplacées également, b2 et b3 sont en v et e1 => Screenshot from 2014-01-24 08:39:37
il apparait des valeurs incorrectes en début de buffer, cela se produit également sur les données SBM2 mais ce n'est pas constant, ni pour SWF_F1
ni pour CWF_F2 => Screenshot from 2014-01-24 08:41:56

dans les buffers, on ne voit plus le temps

Les formes d'ondes a f0 du mode NORMAL (fonctionne en méme temps que le mode SBM2) semblent correct hormis la forme v, qui semble osciller

entre deux valeurs => Screenshot from 2014-01-24 08:36:57

3) reset et démarrage du mode SBM2
CWF_F2 nominales => Screenshot from 2014-01-24 08:55:29

SWF_FO0 données non explicables sur la voie v => Screenshot from 2014-01-24 08:54:16

SWF_F1 nominales => Screenshot from 2014-01-24 08:54:43
SWF_F2 nominales => Screenshot from 2014-01-24 08:55:07

4) passage en mode BURST sans reset

CWF_F2 => b2 et b3 sont déplacées en v et e, les autres voies montrent le bruit attendu, parfois, la rpemiére données est erronée, il semble que

cetet données soit égale a une des données qui devrait apparaitre sur b2 et b3 => Screenshot from 2014-01-24 08:57:25
I'observation d'un buffer f2 montre un remplacement du coarse time par une donnée et une présence du fine time

=> Screenshot from 2014-01-24 09:00:12

#4 - 25/02/2014 02:19 PM - Jean-Christophe Pellion

Remplacé par la task #50

#5 - 25/02/2014 02:19 PM - Jean-Christophe Pellion

- Status changed from New to Closed
